package cz.senslog.connector.model.alapans;

import java.time.OffsetDateTime;

public class UnitData {

    private final OffsetDateTime timestamp;
    private final String deviceId;
    private final Double airTemperature;
    private final Double airHumidity;
    private final Double soilTemperature1;
    private final Double soilTemperature2;
    private final Double soilMoisture1;
    private final Double soilMoisture2;

    private final Double batteryVoltage;

    public UnitData(OffsetDateTime timestamp, String deviceId,
                    Double airTemperature, Double airHumidity,
                    Double soilTemperature1, Double soilTemperature2,
                    Double soilMoisture1, Double soilMoisture2, Double batteryVoltage) {
        this.timestamp = timestamp;
        this.deviceId = deviceId;
        this.airTemperature = airTemperature;
        this.airHumidity = airHumidity;
        this.soilTemperature1 = soilTemperature1;
        this.soilTemperature2 = soilTemperature2;
        this.soilMoisture1 = soilMoisture1;
        this.soilMoisture2 = soilMoisture2;
        this.batteryVoltage = batteryVoltage;
    }

    public OffsetDateTime getTimestamp() {
        return timestamp;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public Double getAirTemperature() {
        return airTemperature;
    }

    public Double getAirHumidity() {
        return airHumidity;
    }

    public Double getSoilTemperature1() {
        return soilTemperature1;
    }

    public Double getSoilTemperature2() {
        return soilTemperature2;
    }

    public Double getSoilMoisture1() {
        return soilMoisture1;
    }

    public Double getSoilMoisture2() {
        return soilMoisture2;
    }

    public Double getBatteryVoltage() {
        return batteryVoltage;
    }
}
